#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2019 - 2023
#
# Authors:
#  Quirin Gylstorff <quirin.gylstorff@siemens.com>
#
# SPDX-License-Identifier: MIT
#

include:
  - local: '/ci/gitlab-ci-base.yml'
  - local: '/ci/kernel_4_19.yml'
  - local: '/ci/kernel_5_4.yml'
  - local: '/ci/kernel_5_10.yml'
  - local: '/ci/kernel_5_15.yml'
  - local: '/ci/kernel_6_1.yml'
  - local: '/ci/xenomai_3_2_x_compat.yml'

variables:
  XENOMAI_BUILD_OPTION: ":opt-xenomai-3.2.x.yml"
  XENOMAI_VERSION: "3.2.x"
  LATEST_KERNEL_VERSION: "6.1"
